<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Variables globale</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index__5F"></a>- _ -</h3><ul>
<li>_affiche_automate_image()
: <a class="el" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4">automate.c</a>
</li>
<li>_affiche_automate_terminal_binaire()
: <a class="el" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f">automate.c</a>
</li>
<li>_affiche_automate_terminal_somme()
: <a class="el" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539">automate.c</a>
</li>
<li>_config_binaire()
: <a class="el" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da">regle.c</a>
</li>
<li>_config_somme()
: <a class="el" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5">regle.c</a>
</li>
</ul>


<h3><a id="index_a"></a>- a -</h3><ul>
<li>affiche_automate()
: <a class="el" href="automate_8c.html#a5739d8a1c873eea2c0a1099cc20ea7ef">automate.c</a>
</li>
<li>afficher_configuration_elementaire()
: <a class="el" href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">configuration.c</a>
</li>
<li>afficher_configuration_multiple()
: <a class="el" href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">configuration.c</a>
</li>
<li>afficher_fichier_configuration()
: <a class="el" href="fichier__configuration_8c.html#a47a2d2c118d7e2b8ae5e68f3344808e6">fichier_configuration.c</a>
</li>
<li>afficher_regle()
: <a class="el" href="regle_8c.html#a3f644974675b843554ffe9330ef4846b">regle.c</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>binary_to_decimal()
: <a class="el" href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3">utils.c</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>cmp_conf()
: <a class="el" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">configuration.c</a>
</li>
<li>creer_automate()
: <a class="el" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb">automate.c</a>
</li>
<li>creer_configuration()
: <a class="el" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">configuration.c</a>
</li>
<li>creer_fichier_configuration()
: <a class="el" href="fichier__configuration_8c.html#ad80bfd5b28d3fc81e66d83fa23690e88">fichier_configuration.c</a>
</li>
<li>creer_image()
: <a class="el" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896">image.c</a>
</li>
<li>creer_regle()
: <a class="el" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee">regle.c</a>
</li>
<li>creer_tableau_configuration()
: <a class="el" href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0">regle.c</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>decimal_to_binary()
: <a class="el" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c">utils.c</a>
</li>
<li>delete_automate()
: <a class="el" href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee">automate.c</a>
</li>
<li>delete_fichier_configuration()
: <a class="el" href="fichier__configuration_8c.html#a8e23c05945f10746ec4182b61123af00">fichier_configuration.c</a>
</li>
<li>delete_regle()
: <a class="el" href="regle_8c.html#a12710fa473da40d460ea41037c23ade9">regle.c</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>ecrire_donnees_image_ascii()
: <a class="el" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630">image.c</a>
</li>
<li>ecrire_donnees_image_binaire()
: <a class="el" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8">image.c</a>
</li>
<li>ecrire_entete_image()
: <a class="el" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb">image.c</a>
</li>
<li>evoluer()
: <a class="el" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889">automate.c</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_cellule_symbole()
: <a class="el" href="fichier__configuration_8c.html#a50675bf48ff97d3282760437d7e9c69e">fichier_configuration.c</a>
</li>
<li>get_emplacement_initial()
: <a class="el" href="fichier__configuration_8c.html#a21bb44a3b30408468720e6eb6eaa60ac">fichier_configuration.c</a>
</li>
<li>get_enregistrer_image()
: <a class="el" href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191">fichier_configuration.c</a>
</li>
<li>get_etat_centre()
: <a class="el" href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">configuration.c</a>
</li>
<li>get_etat_droite()
: <a class="el" href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">configuration.c</a>
</li>
<li>get_etat_gauche()
: <a class="el" href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">configuration.c</a>
</li>
<li>get_etat_sortie()
: <a class="el" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">configuration.c</a>
</li>
<li>get_hauteur()
: <a class="el" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009">fichier_configuration.c</a>
</li>
<li>get_largeur()
: <a class="el" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd">fichier_configuration.c</a>
</li>
<li>get_nb_etat()
: <a class="el" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312">fichier_configuration.c</a>
</li>
<li>get_nb_magique()
: <a class="el" href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8">fichier_configuration.c</a>
</li>
<li>get_nombre_etat()
: <a class="el" href="regle_8c.html#a46e5c74eda89fcaf925f91806d5bf86c">regle.c</a>
</li>
<li>get_numero_binaire()
: <a class="el" href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190">regle.c</a>
</li>
<li>get_numero_decimale()
: <a class="el" href="regle_8c.html#abb64bb8f15528e167294857d015a193a">regle.c</a>
</li>
<li>get_regle()
: <a class="el" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7">fichier_configuration.c</a>
</li>
<li>get_tab_configuration()
: <a class="el" href="regle_8c.html#ac7ca766573256b9fdbf502eed89d98e9">regle.c</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>init_configuration_entree()
: <a class="el" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">configuration.c</a>
</li>
<li>init_configuration_sortie()
: <a class="el" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">configuration.c</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lecture_fichier_configuration()
: <a class="el" href="fichier__configuration_8c.html#aaa4841f314f9c7b1eb6130886505c149">fichier_configuration.c</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089">main.c</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>recherche_configuration()
: <a class="el" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a">regle.c</a>
</li>
<li>recherche_indice()
: <a class="el" href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c">regle.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
